c
c     declarations and common block for the nodal data
c
      integer no_of_nodes, node_boundary(MAXNODES)
      real*8 coord(NSD,MAXNODES)
      common /nodeinfo/ no_of_nodes, coord, node_boundary
